Subject: [PATCH v2 4/9] pinctrl: Add support STM32 MCUs

From: [email-masked] (Patrice Chotard)
Date: Fri, 11 Dec 2015 09:20:50 +0100

Hi Linus

I will try to review it before end of next week

Patrice

On 12/10/2015 06:08 PM, Linus Walleij wrote:
> On Tue, Dec 1, 2015 at 10:53 AM, Maxime Coquelin
> <[email-masked]> wrote:
>> 2015-10-17 19:23 GMT+02:00 Maxime Coquelin <[email-masked]>:
>>> This patch adds pinctrl and GPIO support to STMicroelectronic's STM32
>>> family of MCUs.
>>>
>>> While it only supports STM32F429 for now, it has been designed to enable
>>> support of other MCUs of the family (e.g. STM32F746).
>>>
>>> Signed-off-by: Maxime Coquelin <[email-masked]>
>>> ---
>>>   drivers/pinctrl/Kconfig                   |    1 +
>>>   drivers/pinctrl/Makefile                  |    1 +
>>>   drivers/pinctrl/stm32/Kconfig             |   16 +
>>>   drivers/pinctrl/stm32/Makefile            |    5 +
>>>   drivers/pinctrl/stm32/pinctrl-stm32.c     |  856 +++++++++++++++
>>>   drivers/pinctrl/stm32/pinctrl-stm32.h     |   43 +
>>>   drivers/pinctrl/stm32/pinctrl-stm32f429.c | 1598 +++++++++++++++++++++++++++++
>>>   7 files changed, 2520 insertions(+)
>>>   create mode 100644 drivers/pinctrl/stm32/Kconfig
>>>   create mode 100644 drivers/pinctrl/stm32/Makefile
>>>   create mode 100644 drivers/pinctrl/stm32/pinctrl-stm32.c
>>>   create mode 100644 drivers/pinctrl/stm32/pinctrl-stm32.h
>>>   create mode 100644 drivers/pinctrl/stm32/pinctrl-stm32f429.c
>>>
>> Gentle reminder, do you know when you will be able to review this driver?
> I'm a bit overloaded so reviewing of large chunks of code takes time.
>
> It would be great if I could have some Reviewed-by tags from someone
> else who's familiar with pin control.
>
> Patrice: do you have a chance to review this driver and help us?
>
> Yours,
> Linus Walleij